## ros-ardent-vision-msgs 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vision_msgs)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  msg/BoundingBox2D.msg
  msg/BoundingBox3D.msg
  msg/Classification2D.msg
  msg/Classification3D.msg
  msg/Detection2DArray.msg
  msg/Detection2D.msg
  msg/Detection3DArray.msg
  msg/Detection3D.msg
  msg/ObjectHypothesis.msg
  msg/ObjectHypothesisWithPose.msg
  msg/VisionInfo.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES std_msgs geometry_msgs sensor_msgs
  ADD_LINTER_TESTS)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

if (BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rosidl_default_runtime)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-ardent-vision-msgs (1.0.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adam Allevato <adam.d.allevato@gmail.com>  Thu, 19 Apr 2018 18:42:46 -0000

=== debian/control ===
Source: ros-ardent-vision-msgs
Section: misc
Priority: extra
Maintainer: Adam Allevato <adam.d.allevato@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-ament-lint-auto, ros-ardent-ament-lint-common, ros-ardent-geometry-msgs, ros-ardent-rosidl-default-generators, ros-ardent-sensor-msgs, ros-ardent-std-msgs, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-vision-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-geometry-msgs, ros-ardent-rosidl-default-runtime, ros-ardent-sensor-msgs, ros-ardent-std-msgs, ros-ardent-ros-workspace
Description: Messages for interfacing with various computer vision pipelines, such as object detectors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-vision-msgs//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
